<?php

namespace Drupal\migmag\Utility;

/**
 * Utility for manipulating migration plugin definitions and instances.
 */
class MigMagMigrationUtility {

  /**
   * Converts destination property process to a list of process plugin configs.
   *
   * @param array|string $process_pipeline
   *   A migration process plugin configuration.
   *
   * @return array[]
   *   The plugin process mapping as an associative array.
   */
  public static function getAssociativeMigrationProcess($process_pipeline): array {
    if (is_string($process_pipeline)) {
      return [['plugin' => 'get', 'source' => $process_pipeline]];
    }
    elseif (array_key_exists('plugin', $process_pipeline)) {
      $process_pipeline = [$process_pipeline];
    }

    return $process_pipeline;
  }

}
